
QGIS Application - Bug report #20469

Adding WFS layer fails with "unexpected end of file" 

2018-11-12 04:53 PM - Dion N

Status: Rejected

Priority: High

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.18.25 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28289

Description

I am trying to add the following WFS layer in QGIS 2.18.25:

http://35.240.255.18:8080/geoserver/ows?service=wfs&#38;version=1.1.0&#38;request=GetCapabilities

I use the following steps:

Layer -> add layer -> wfs layer

Enter url of service above. 

Click Connect

Result:

Popup with message: unexpected end of file.

Expected result:

Loaded map.

This was a working WFS.  Issue only start to happen yesterday (11/11/2018)/

I can add this WFS in ArcGIS Online and it works fine.

Can you confirm that this is a bug in QGIS?

Details:

QGIS version 2.18.25

Windows 10

Regards,

Dion

History

#1 - 2018-11-12 04:56 PM - Giovanni Manghi

- Status changed from Open to Feedback

Usually that error mean a server configuration problem.

Anyway on 2.18.25 works fine here.

#2 - 2018-11-14 01:45 PM - João Gaspar
http://35.240.255.18:8080/geoserver/ows?service=wfs&#38;version=1.1.0&#38;request=GetCapabilities


The WFS URL is working.

Benchmark QGIS:

QGIS 2.18.25 - OK

QGIS 3.2.0 - OK

QGIS 3.4.1 - OK

#3 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-02-06 10:39 PM - Even Rouault

- Resolution set to worksforme

- Status changed from Feedback to Rejected

Was likely a transient server error. Works fine with master / 3.5
